Bug 198828 - FC5 version of KDE menu does not follow menu-spec
Summary: FC5 version of KDE menu does not follow menu-spec
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-13 22:29 UTC by Waldo Bastian
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.5.5-0.1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 13:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Waldo Bastian 2006-07-13 22:29:02 UTC
Description of problem:
FC5 includes a menu implementation that does not follow the freedesktop.org menu
spec.

Version-Release number of selected component (if applicable):
[bastian@localhost scripts]$ kbuildsycoca --version
Qt: 3.3.5
KDE: 3.5.3-0.2.fc5 Red Hat
KBuildSycoca: 1.1

How reproducible:

Check out the menu spec from fd.o and run the test suite with
MENUTEST="kbuildsycoca --menutest" ./menutest
  
Actual results:
All tests fail

Expected results:
All tests pass

Additional info:

Comment 1 Rex Dieter 2006-11-02 13:33:49 UTC
I've confirmed the menu spec test suite passes with kdebase-3.5.5-0.1.fc5 (see 
also bug #178320):

OK tests:      1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t v w x 
y
33 tests passed, 0 tests failed

Though 
>>> Running test u
>>> recursive <MergeFile>s ...
seemed to hang (I left it running for ~5 minutes before giving up)

Comment 2 Rex Dieter 2006-11-02 13:44:47 UTC
FYI, test 'u' finally did pass, I just needed more patience.

OK tests:      1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v w 
x y
34 tests passed, 0 tests failed



Note You need to log in before you can comment on or make changes to this bug.